# Uses of Class
org.eclipse.net4j.util.factory.ProductCreationException

Packages that use ProductCreationException
Package
Description
org.eclipse.net4j.util
Utility classes.
org.eclipse.net4j.util.concurrent
Utility interfaces and classes commonly useful in concurrent programming.
org.eclipse.net4j.util.confirmation
A framework for providing confirmation from users.
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.factory
A framework for factory based instance creation.
org.eclipse.net4j.util.io
Interfaces and classes for I/O.
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.
org.eclipse.net4j.util.security.operations
org.eclipse.net4j.util.ui
Reusable UI components.
org.eclipse.net4j.util.ui.chat
org.eclipse.net4j.util.ui.confirmation
Confirmation dialogs.
org.eclipse.net4j.util.ui.container
An element wizard framework for managed containers.
org.eclipse.net4j.util.ui.views
Helpers for Eclipse view parts.
org.eclipse.net4j.util.ui.widgets
A library with reusable widgets.

## Uses of ProductCreationException in org.eclipse.net4j.util

Methods in org.eclipse.net4j.util that throw ProductCreationException
Modifier and Type
Method
Description
`abstract ExceptionHandler`
ExceptionHandler.Factory.`create(String description)`
`IFactory[]`
StringConverter.MetaFactory.`create(String description)`
`IFactory[]`
StringParser.MetaFactory.`create(String description)`
`IFactory[]`
StringTester.MetaFactory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.concurrent

Methods in org.eclipse.net4j.util.concurrent that throw ProductCreationException
Modifier and Type
Method
Description
`abstract DelegableReentrantLock.DelegateDetector`
DelegableReentrantLock.DelegateDetector.Factory.`create(String description)`
`Object`
TimerLifecycle.DaemonFactory.`create(String name)`

## Uses of ProductCreationException in org.eclipse.net4j.util.confirmation

Methods in org.eclipse.net4j.util.confirmation that throw ProductCreationException
Modifier and Type
Method
Description
`Object`
IConfirmationProvider.Factory.Default.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.container

Methods in org.eclipse.net4j.util.container that throw ProductCreationException
Modifier and Type
Method
Description
`<T> T`
IManagedContainer.`createElement(String productGroup, String factoryType, String description)`
`<T> T`
IManagedContainer.`createElement(String productGroup, String factoryType, Tree config)`
`<T> T`
ManagedContainer.`createElement(String productGroup, String factoryType, String description)`
`<T> T`
ManagedContainer.`createElement(String productGroup, String factoryType, Tree config)`
`Object`
IManagedContainer.`getElement(String productGroup, String factoryType, String description)`
`Object`
IManagedContainer.`getElement(String productGroup, String factoryType, String description, boolean activate)`
`Object`
ManagedContainer.`getElement(String productGroup, String factoryType, String description)`
`Object`
ManagedContainer.`getElement(String productGroup, String factoryType, String description, boolean activate)`
`<T> T`
IManagedContainer.`getElementOrNull(String productGroup, String factoryType)`
`<T> T`
IManagedContainer.`getElementOrNull(String productGroup, String factoryType, String description)`
`<T> T`
IManagedContainer.`getElementOrNull(String productGroup, String factoryType, Tree config)`
`<T> T`
ManagedContainer.`getElementOrNull(String productGroup, String factoryType)`
`<T> T`
ManagedContainer.`getElementOrNull(String productGroup, String factoryType, String description)`
`<T> T`
ManagedContainer.`getElementOrNull(String productGroup, String factoryType, Tree config)`
`void`
IManagedContainer.`loadElements(InputStream stream)`
`void`
ManagedContainer.`loadElements(InputStream stream)`

## Uses of ProductCreationException in org.eclipse.net4j.util.factory

Methods in org.eclipse.net4j.util.factory that return ProductCreationException
Modifier and Type
Method
Description
`protected final ProductCreationException`
Factory.`productCreationException(String description)`
`protected final ProductCreationException`
Factory.`productCreationException(String description, Throwable cause)`
`protected final ProductCreationException`
TreeFactory.`productCreationException(Tree config)`
`protected final ProductCreationException`
TreeFactory.`productCreationException(Tree config, Throwable cause)`
Methods in org.eclipse.net4j.util.factory that throw ProductCreationException
Modifier and Type
Method
Description
`protected final PRODUCT`
AnnotationFactory.`create(Tree config)`
`Object`
IFactory.`create(String description)`
`abstract IFactory[]`
MetaFactory.`create(String description)`
`Object`
PropertiesFactory.`create(String description)`
`protected abstract Object`
PropertiesFactory.`create(Map<String,String> properties)`
`Object`
SingletonFactory.`create(String description)`
`Object`
TreeFactory.`create(String description)`
`protected abstract Object`
TreeFactory.`create(Tree config)`
`protected Object`
AnnotationFactory.`createElement(String productGroup, String type, String descriptionAttribute, Tree elementConfig, boolean singleton)`
`Object`
IPropertiesFactory.`createWithProperties(Map<String,String> properties)`
`Object`
PropertiesFactory.`createWithProperties(Map<String,String> properties)`
`Object`
ITreeFactory.`createWithTree(Tree config)`
`final Object`
TreeFactory.`createWithTree(Tree config)`

## Uses of ProductCreationException in org.eclipse.net4j.util.io

Methods in org.eclipse.net4j.util.io that throw ProductCreationException
Modifier and Type
Method
Description
`IStreamWrapper`
GZIPStreamWrapper.Factory.`create(String description)`
`abstract IStreamWrapper`
IStreamWrapper.Factory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.security

Methods in org.eclipse.net4j.util.security that throw ProductCreationException
Modifier and Type
Method
Description
`abstract ICredentialsProvider`
CredentialsProviderFactory.`create(String description)`
`IFactory[]`
Crypter.MetaFactory.`create(String description)`
`Randomizer`
RandomizerFactory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.security.operations

Methods in org.eclipse.net4j.util.security.operations that throw ProductCreationException
Modifier and Type
Method
Description
`AuthorizableOperation`
AuthorizableOperationFactory.`create(String description)`
`abstract OperationAuthorizer<CONTEXT>`
OperationAuthorizerFactory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.ui

Methods in org.eclipse.net4j.util.ui that throw ProductCreationException
Modifier and Type
Method
Description
`abstract MenuFiller`
MenuFiller.Factory.`create(String description)`
`abstract OpenHandler`
OpenHandler.Factory.`create(String description)`
`abstract PropertyExtender`
PropertyExtender.Factory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.ui.chat

Methods in org.eclipse.net4j.util.ui.chat that throw ProductCreationException
Modifier and Type
Method
Description
`ChatRenderer.AvatarGenerator`
ChatRenderer.AvatarGenerator.Default.Factory.`create(String description)`
`ChatRenderer`
ChatRenderer.Factory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.ui.confirmation

Methods in org.eclipse.net4j.util.ui.confirmation that throw ProductCreationException
Modifier and Type
Method
Description
`Object`
InteractiveConfirmationProvider.Factory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.ui.container

Methods in org.eclipse.net4j.util.ui.container that throw ProductCreationException
Modifier and Type
Method
Description
`abstract IElementWizard`
ElementWizardFactory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.ui.views

Methods in org.eclipse.net4j.util.ui.views that throw ProductCreationException
Modifier and Type
Method
Description
`abstract IntrospectionProvider`
IntrospectionProvider.Factory.`create(String description)`
`abstract ValueFormatter`
ValueFormatter.Factory.`create(String description)`

## Uses of ProductCreationException in org.eclipse.net4j.util.ui.widgets

Methods in org.eclipse.net4j.util.ui.widgets that throw ProductCreationException
Modifier and Type
Method
Description
`EntryControlAdvisor`
EntryControlAdvisor.Factory.`create(String description)`